Retrieves the average unit cost acceptable range values per commodity for cost avoidance
Use this endpoint to view the configured AUC (Average Unit Cost) acceptable ranges for each
commodity. These ranges define thresholds for flagging cost avoidance anomalies.
Requires Global Cost Avoidance Settings View permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
AucRangeResponse
| Property | Description | Type | |||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodity | CommodityChild | ||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||
| commodityCapId | Unique identifier for the commodity’s average unit cost range | integer (int32) | |||||||||||||||||||||||||||
| isUsed | Indicates whether or not this commodity is used; i.e. there are meters that have been created with this commodity which are included in cost avoidance | boolean | |||||||||||||||||||||||||||
| lowerLimitMultiplier | When the current bill’s average unit cost is LOWER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill | number (double) | |||||||||||||||||||||||||||
| upperLimitMultiplier | When the current bill’s average unit cost is HIGHER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill | number (double) | |||||||||||||||||||||||||||
Example Response
[
{ "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "commodityCapId": 1, "isUsed": false, "lowerLimitMultiplier": 1.0, "upperLimitMultiplier": 1.0
}
]